random_generator(3)

NAME
random_generator - The class random_generator can be used in the STL generate function to easily generate random ints either between [0, _max) if only one value (_max) is given to the ctor or in [_min,_max) if 2 values are given (_min, _max).

SYNOPSIS

#include <rnd_generators.h>

  Public Member Functions
random_generator (T _max, eoRng &_rng=rng)
random_generator (T _min, T _max, eoRng &_rng=rng)
T operator() (void)
template<> bool operator() (void)

  Private Attributes
T minim
T range
eoRng & random

Detailed Description

  template<class T = uint32_t> class random_generator< T >
The class random_generator can be used in the STL generate function to easily generate random ints either between [0, _max) if only one value (_max) is given to the ctor or in [_min,_max) if 2 values are given (_min, _max).

Definition at line 87 of file rnd_generators.h.

Author

Generated automatically by Doxygen for EO from the source code.